SET ECHO ON
SPOOL xakza32.lst

-- AKZA#30584: Rapportage + menu-item ruimte- en gebouwbeheerders (delegates) voor eindgebruikers
-- 183	WEB_PHONEB
CREATE OR REPLACE VIEW akza_v_rap_areadelegates AS SELECT 1 x FROM DUAL;
INSERT INTO fac_usrrap
            (fac_usrrap_omschrijving, fac_usrrap_view_name,
             fac_usrrap_in_huidige_locatie,
             fac_usrrap_template, fac_usrrap_macro,
             fac_usrrap_vraagbegindatum, fac_usrrap_vraageinddatum,
             fac_usrrap_functie,
             fac_usrrap_info,
             fac_functie_key, fac_usrrap_autorefresh
            )
     VALUES ('Area and building delegates', 'AKZA_V_RAP_AREADELEGATES',
             NULL,
             NULL, NULL,
             0, 0,
             0,
             '',
             183,
             0
            );

INSERT INTO fac_menu (
   fac_menu_volgnr,
   fac_menu_altlabel,
   fac_menu_alturl,
   fac_menu_altgroep,
   fac_functie_key)
VALUES (
   1410,
   'Area/building delegates',
   'appl/fac/fac_usrrap.asp?rap_name=akza_v_rap_areadelegates',
   0,
   183);


CREATE TABLE akza_exp_sap (
   soort          VARCHAR2(12),
   crediteurnr    VARCHAR2(12),
   debiteurnr     VARCHAR2(12),
   companycode    VARCHAR2(8),
   costcentre     VARCHAR2(12),
   ordernr        VARCHAR2(30),
   postingkey     VARCHAR2(2),
   kostensoort    VARCHAR2(10),
   key            NUMBER,
   refnr          VARCHAR2(12),
   einddatum      DATE,
   bedrag_ex      NUMBER(8,2),
   bedrag_inc     NUMBER(8,2),
   btwcode        VARCHAR2(3),
   omschrijving   VARCHAR2(100),
   perslid        VARCHAR2(100)
);

DELETE fac_export_app
 WHERE fac_export_app_code IN ('RES_SAP_AHO','RES_SAP_SSCA','RES_SAP_RIT');

INSERT INTO fac_export_app (
   fac_export_app_code,
   fac_export_app_oms,
   fac_functie_key,
   fac_export_app_folder,
   fac_export_app_file_prefix,
   fac_export_app_postfix,
   fac_export_app_log_postfix,
   fac_export_app_flags,
   fac_export_app_timestamp)
VALUES (
   'RES_SAP',
   'Reserveringen (zalen, voorzieningen, ritten)',
   203,
   '.\RES_SAP',
   'RES',
   '.csv',
   '.log',
   0,
   'yymmdd');

INSERT INTO fac_export_app (
   fac_export_app_code,
   fac_export_app_oms,
   fac_functie_key,
   fac_export_app_folder,
   fac_export_app_file_prefix,
   fac_export_app_postfix,
   fac_export_app_log_postfix,
   fac_export_app_flags,
   fac_export_app_timestamp)
VALUES (
   'SAP_FACTUREN',
   'Verkoopfacturen SAP',
   203,
   '.\SAP',
   'FACILITOR',
   '.xls',
   '.log',
   0,
   'yyyy-mm-dd');

INSERT INTO fac_export_app (
   fac_export_app_code,
   fac_export_app_oms,
   fac_functie_key,
   fac_export_app_folder,
   fac_export_app_file_prefix,
   fac_export_app_postfix,
   fac_export_app_log_postfix,
   fac_export_app_flags,
   fac_export_app_timestamp)
VALUES (
   'SAP_SPEC',
   'Specificatiebestanden SAP',
   203,
   '.\SAP',
   'MY',
   '.csv',
   '.log',
   0,
   'yyyy-mm-dd');

UPDATE fac_export_app
   SET fac_export_app_postfix = '.csv'
 WHERE fac_export_app_code IN ('MLD_SAP', 'LOGISTIEK');

UPDATE fac_export_app
   SET fac_export_app_folder = '.\SAP';

-- SAP-package hernoemd, RES-exports samengenomen, export-procedure
-- logistiek in SAP-package opgenomen
DROP PACKAGE akza_p_mld2sap;
DROP PROCEDURE akza_select_res_sap_aho;
DROP PROCEDURE akza_select_res_sap_rit;
DROP PROCEDURE akza_select_res_sap_ssca;
DROP VIEW akza_v_export_res_sap_aho;
DROP VIEW akza_v_export_res_sap_rit;
DROP VIEW akza_v_export_res_sap_ssca;
DROP PROCEDURE akza_export_res_sap_aho;
DROP PROCEDURE akza_export_res_sap_rit;
DROP PROCEDURE akza_export_res_sap_ssca;
DROP PROCEDURE akza_export_logistiek;

-- Rapportage om kostenplaatsen, debiteurnummers en companycodes te controleren
-- 203   PRSSYS
CREATE OR REPLACE VIEW akza_v_rap_kpn_check AS SELECT 1 x FROM DUAL;
INSERT INTO fac_usrrap
            (fac_usrrap_omschrijving, fac_usrrap_view_name,
             fac_usrrap_in_huidige_locatie,
             fac_usrrap_template, fac_usrrap_macro,
             fac_usrrap_vraagbegindatum, fac_usrrap_vraageinddatum,
             fac_usrrap_functie,
             fac_usrrap_info,
             fac_functie_key, fac_usrrap_autorefresh
            )
     VALUES ('SAP: check costcentres, companycodes etc', 'AKZA_V_RAP_KPN_CHECK',
             NULL,
             NULL, NULL,
             0, 0,
             0,
             'Verwijzen alle kostenplaatsen naar een debiteurnr + companycode?',
             203,
             0
            );

-- Kenmerk "PO-nummer" aan vakgroep "Goederenontvangst" koppelen, ipv aan de
-- onderliggende meldingen. (Koppel ene kenmerk aan vakgroep, verwijder andere)
UPDATE mld_kenmerk
   SET mld_kenmerk_niveau = 'D',
       mld_stdmelding_key = 1226
 WHERE mld_kenmerk_key = 434;

UPDATE mld_kenmerkmelding
   SET mld_kenmerk_key = 434
 WHERE mld_kenmerk_key = 661;

DELETE mld_kenmerk
 WHERE mld_kenmerk_key = 661;

-- En nog wat andere niet-meer-gebruikte 'rommel'
DROP VIEW akza_v_personenvoorplanoncsv;

BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF

@akza.sql

SET ECHO OFF
